Subject: [SIP] RE: Session timer comments

From: "Donovan, Steven R." <[email-masked]>
Date: Wed, 05 Apr 2000 07:35:35 +0000

Jonathan Rosenberg wrote:
> Henning Schulzrinne wrote:
> > 
> > > > The only way for a proxy to insure that it will be a 
> part of all requests is
> > > > to insert the Record-Route header into all requests, 
> even those that have a
> > > > Route header.
> > >
> > > I think this may cause interop problems. Much as I'd like 
> to add this,
> > > it means any old proxy that doesn't insert REcord-Route 
> is going to get
> > > booted off the signaling path. That seems like a problem.
> > 
> > Is this a practical problem? How many proxy servers that implement
> > Route/Record-Route couldn't be trained to do that? Also, I 
> believe this
> > has been discussed since the first bake-off or thereabouts, so most
> > implementors should have seen this.
> 
> We can take a poll at the bakeoff, but I'm sure there are
> implementations that won't be there...
> 

There was a practical reason that this was added that I can't reconstruct at
the moment  (I know I've had white board discussions with Robert Sparks on
this one).  

I'll dig through my notes and the list archive to see if I can figure it
out.  

<snip>

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip